;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; A sample file of .mew.el
;;;
;;; Modified for Vine Linux <KOBAYASHI R. Taizo>
;;;
;
; This is just a sample. You should customize as you like...
;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Mew 4.2  -  Messaging in the Emacs World
;;   ᡼꡼ Mew
;;   M-x mew ǵưޤ
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;
;; ᡼륵Ф
;;

;; POP Ф

(setq mew-name "your full name") ;; (user-full-name)
(setq mew-user "") ;; (user-login-name)
(setq mew-mail-domain "")
(setq mew-pop-user "")   ;; (user-login-name)
(setq mew-pop-server "")    ;; if not localhost
;; (setq mew-pop-ssh-server "your POP server")    ;; if not localhost
;; (setq mew-icon-directory "icon directory") ;; if using XEmacs/Emacs 21

;; POP ǧ
;; APOP  'apop POP  'pass (USER/PASS (ѥ)) 
;(setq mew-pop-auth 'pass)

;; POP Фå塢
;; POP Фˤåʤ t
;; Ĥʤ nil 
;; NĤʤ N 
(setq mew-pop-delete nil)

;; POP Фå륵
(setq mew-pop-size (* 2032 1024))  ;; 4K hdr + 50K bdy

;; SMTP Ф
(setq mew-smtp-server "")  ;; if not localhost

;; biff 
(setq mew-use-cached-passwd t)
(setq mew-use-biff t)
(setq mew-use-biff-bell t)

;;; POP ʳǥ᡼˥ˤϰʲ

;; POP ˥ "mbox"  "maildir" Ȥ
;; ⤷ /path/to/mbox  file ʤ "mbox"
;; directory ʤ "maildir" Ǥ
;(setq mew-mailbox-type 'mbox)
;(setq mew-mbox-command "incm")
;(setq mew-mbox-command-arg "-d /path/to/mbox")

;; IMAP 
;(setq mew-proto "%")
;; (setq mew-imap-user "your IMAP account")  ;; (user-login-name)
;(setq mew-imap-server "your IMAP server")    ;; if not localhost

;; NNTP 
;; (setq mew-nntp-user "your NNTP account")
;(setq mew-nntp-server "your NNTP server")

;; Optional setup (Read Mail menu for Emacs 21):
(if (boundp 'read-mail-command)
    (setq read-mail-command 'mew))

;; Optional setup (e.g. C-xm for sending a message):
;(autoload 'mew-user-agent-compose "mew" nil t)
;(if (boundp 'mail-user-agent)
;    (setq mail-user-agent 'mew-user-agent))
;(if (fboundp 'define-mail-user-agent)
;    (define-mail-user-agent
;      'mew-user-agent
;      'mew-user-agent-compose
;      'mew-draft-send-message
;      'mew-draft-kill
;      'mew-send-hook))

;; MIMEϤ륵
(setq mew-file-max-size (* 2048 1024))  ;; 2M MIME analysis

;; ֿΰѥեޥåȤλ
(setq mew-cite-fields '("From:" "Subject:" "Date:" "Message-ID:"))
(setq mew-cite-format "From: %s\nSubject: %s\nDate: %s\nMessage-ID: %s\n\n")
;;(setq mew-cite-prefix-function 'mew-cite-prefix-username)

;; ư˥᡼ˤʤ褦ˤ
(setq mew-auto-get nil)
(setq mew-auto-flush-queue t)

;; From: ;פʤ (localhost ̾) դꤹϡ
;; xxxx ʬ˥ɥᥤ̾ꤷޤ
;(setq mew-mail-domain-list '("domain.name"))

;; From إå "" ǰϤޤ줿ʸ MIME ǥɤ
(setq mew-decode-quoted t)

;; åɽԤ
;(setq mew-prog-imls-arg-list '("--thread=yes"))

;; ʬ Bcc Ĥʤ
;(setq mew-mail-address-list
;          '("hoge@domain.name"))

;; C-u ֿȤ Reply-To إå
;; Υɥ쥹ˤֿ
;(setq mew-header-alist '(
;         ("Cc" . "huge@domain.name")
;         ("Reply-To" . "huge@domain.name")
;))

;; Reply-To إå礽Υɥ쥹ˤֿ
;(setq mew-reply-all-alist
;      '((("Followup-To:" "poster")
;         ("To:" "From:"))
;        ("Followup-To:"
;         ("Newsgroups:" "Followup-To:"))
;        ("Newsgroups:"
;         ("Newsgroups:" "Newsgroups:"))
;        ("Reply-To:"
;         ("To:" "Reply-To:"))
;        (t
;         ("To:" "From:")
;         ("Cc:" "To:" "Cc:" "Apparently-To:"))))

;; ɥեȤѰդ귿ʸưŪ
;(add-hook 'mew-draft-mode-hook
;   (function
;      (lambda()
;         (let ((p (point)))
;         (goto-char (point-max))
;         (insert-file "~/Mail/teikei")
;         (goto-char p)))))

;; (ֿ)Ǥ귿ʸ־
;(add-hook 'mew-before-cite-hook
;   (lambda() (goto-char (point-max))))

;; ޥ
(setq mew-print-command-format "mpage -2 -P")
(defun mew-print-region (begin end)
     (interactive "r")
     (shell-command-on-region begin end mew-print-command-format))

(defun mew-print-buffer ()
    (interactive)
    (mew-print-region (point-min) (point-max)))
(setq mew-print-function (function mew-print-buffer))

;;; URL ޥ楯åǥ֥饦ưͤˤ
(autoload 'browse-url-at-mouse "browse-url"
      "Ask a WWW browser to load a URL clicked with the mouse." t)
(add-hook 'mew-message-mode-hook
   (function
      (lambda()
         (local-set-key [mouse-2] 'browse-url-at-mouse)
)))

;;; ֥饦 Mozilla Ѥ

(setq mew-prog-text/html-ext "mozilla")

;(define-key mew-message-mode-map [mouse-2] 'browse-url-at-mouse)
(setq browse-url-netscape-program "mozilla")
(setq thing-at-point-url-path-regexp "[~/A-Za-z0-9---_.${}#%,:]+")

;;; ֥饦 w3m Ѥ
;(setq mew-mime-multipart-alternative-list '("Text/Html" "Text/Plain" "*."))

;(condition-case nil
;    (require 'mew-w3m)
;  (file-error nil))
;(setq w3m-type 'w3m-m17n)


;;; 餯餯
;;; ޥåإå͡եΥե񤤤Ƥȡ
;;; ñ˿ʬǤޤ

(setq mew-refile-guess-alist
  '(("Reply-To:"
       ("ml-huge@" . "+ml/huge")
   )
   ("To:"
       ("to@" . "+ml/to")
   )
   ("Cc:"
       ("cc@" . "+ml/cc")
   )
   ("From:"
       ("tkoba@" . "+from/tkoba")
   )
))

;;;
;;; End
;;;
